#version 330

/**
 * This first defined out variable of the fragment shader defines
 * with which color the fragment is rendered:
 */
out vec4 fragment_color;

/**
 * The color defined in C++ code which should be used for this line.
 */
uniform vec4 color;

/**
 * The main function of the fragment shader, which is executed
 * for every fragment.
 */
void main()
{
    // Simply sets the fragment color to the color defined by the
    // uniform variable:
    fragment_color = color;
}
